
Ruby - Bug #12837

Add test for what Forwardable#def_delegator extends object what doesn't mix-in Module class

10/13/2016 02:47 PM - aycabta (aycabta .)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.4.0dev (2016-10-11 trunk 56392)

[x86_64-linux]

Backport: 2.1: UNKNOWN, 2.2: REQUIRED, 2.3:

REQUIRED

Description

In #12478, fixed error for what Forwardable#def_delegator extends object what doesn't mix-in Module class. This is test for it.

Associated revisions

Revision 499658abff8c207fb14621eb638de95036a2d723 - 02/01/2018 09:07 AM - hsbt (Hiroshi SHIBATA)

Add test for Forwardable#def_delegator with r55366.

Patch by @aycabta

[Bug #12837][ruby-core:77611]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62153 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 499658ab - 02/01/2018 09:07 AM - hsbt (Hiroshi SHIBATA)

Add test for Forwardable#def_delegator with r55366.

Patch by @aycabta

[Bug #12837][ruby-core:77611]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62153 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/13/2016 02:47 PM - aycabta (aycabta .)

- Subject changed from Add test for  to Add test for what Forwardable#def_delegator extends object what doesn't mix-in Module class

#2 - 02/01/2018 09:07 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

Applied in changeset trunk|r62153.

Add test for Forwardable#def_delegator with r55366.

Patch by @aycabta (aycabta .)

[Bug #12837][ruby-core:77611]

Files

test_on_non_module.patch 497 Bytes 10/13/2016 aycabta (aycabta .)
